## gnome-shell-extension-pop-shell-1.2.0 p20250301

=== Makefile ===
# Retrieve the UUID from ``metadata.json``
UUID = $(shell grep -E '^[ ]*"uuid":' ./metadata.json | sed 's@^[ ]*"uuid":[ ]*"\(.\+\)",[ ]*@\1@')
VERSION = $(shell grep version tsconfig.json | awk -F\" '{print $$4}')

ifeq ($(XDG_DATA_HOME),)
XDG_DATA_HOME = $(HOME)/.local/share
endif

ifeq ($(strip $(DESTDIR)),)
INSTALLBASE = $(XDG_DATA_HOME)/gnome-shell/extensions
PLUGIN_BASE = $(XDG_DATA_HOME)/pop-shell/launcher
SCRIPTS_BASE = $(XDG_DATA_HOME)/pop-shell/scripts
else
INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
PLUGIN_BASE = $(DESTDIR)/usr/lib/pop-shell/launcher
SCRIPTS_BASE = $(DESTDIR)/usr/lib/pop-shell/scripts
endif
INSTALLNAME = $(UUID)

PROJECTS = color_dialog floating_exceptions

$(info UUID is "$(UUID)")

.PHONY: all clean install zip-file

sources = src/*.ts *.css

all: depcheck compile

clean:
	rm -rf _build target

# Configure local settings on system
configure:
	sh scripts/configure.sh

compile: $(sources) clean
	env PROJECTS="$(PROJECTS)" ./scripts/transpile.sh

# Rebuild, install, reconfigure local settings, restart shell, and listen to journalctl logs
debug: depcheck compile install configure enable restart-shell listen

depcheck:
	@echo depcheck
	@if ! command -v tsc >/dev/null; then \
		echo \
		echo 'You must install TypeScript >= 3.8 to transpile: (node-typescript on Debian systems)'; \
		exit 1; \
	fi

enable:
	gnome-extensions enable "pop-shell@system76.com"

disable:
	gnome-extensions disable "pop-shell@system76.com"

listen:
	journalctl -o cat -n 0 -f "$$(which gnome-shell)" | grep -v warning

local-install: depcheck compile install configure restart-shell enable

install:
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME) $(PLUGIN_BASE) $(SCRIPTS_BASE)
	cp -r _build/* $(INSTALLBASE)/$(INSTALLNAME)/

uninstall:
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)

restart-shell:
	@echo "Restart shell!"
ifneq ($(WAYLAND_DISPLAY),) # Don't restart if WAYLAND_DISPLAY is set
	@echo "WAYLAND_DISPLAY is set, not restarting shell";
else
	if bash -c 'xprop -root &> /dev/null'; then \
		pkill -HUP gnome-shell; \
	else \
		gnome-session-quit --logout; \
	fi
	sleep 3
endif

update-repository:
	git fetch origin
	git reset --hard origin/master
	git clean -fd

zip-file: all
	cd _build && zip -qr "../$(UUID)_$(VERSION).zip" .

.NOTPARALLEL: debug local-install

## gnome-shell-extension-pop-shell-1.2.0 p20250710

=== debian/changelog ===
pop-shell (1.1.0) focal; urgency=medium

  * Bug fixes & Launcher update w/ plugin support

 -- Michael Aaron Murphy <michael@system76.com>  Fri, 11 Dec 2020 13:27:27 -0700

pop-shell (1.0.0) focal; urgency=medium

  * First stable release

 -- Michael Aaron Murphy <michael@system76.com>  Thu, 29 Oct 2020 11:57:36 -0600

pop-shell (0.1.0) focal; urgency=medium

  * Initial release.

 -- Jeremy Soller <jeremy@system76.com>  Thu, 14 Nov 2019 21:35:19 -0700

=== debian/control ===
Source: pop-shell
Section: gnome
Priority: optional
Maintainer: System76 <info@system76.com>
Build-Depends: debhelper-compat (=10), libglib2.0-bin, node-typescript
Standards-Version: 3.9.8
Homepage: https://github.com/pop-os/shell
Vcs-Git: https://github.com/pop-os/shell

Package: pop-shell
Architecture: all
Depends:
    ${misc:Depends},
    pop-launcher,
    pop-shell-shortcuts,
    fd-find
Recommends: pop-shell-plugin-system76-power, system76-scheduler
Replaces: gnome-control-center-data (<< 1:3.38.1-2ubuntu1pop1~)
Breaks: gnome-control-center-data (<< 1:3.38.1-2ubuntu1pop1~)
Description: Pop!_OS Shell

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BASEDIR=debian/pop-shell/usr/share/gnome-shell/extensions/pop-shell@system76.com

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
